[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'types' (#rtl)

# TRect

Rectangle in a plane

## Declaration

Source position: types.pp line 90

`type TRect = packed record`
`case Integer of`
`0: (`
`Left: LongInt;` |  | Horizontal position of left edge
`Top: LongInt;` |  | Vertical position of top edge
`Right: LongInt;` |  | Horizontal position of right edge
`Bottom: LongInt;` |  | Vertical position of bottom edge
`);`
`1: (`
`TopLeft: TPoint;` |  | Position of top-left corner
`BottomRight: TPoint;` |  | Position of bottom-right corner
`);`
`end;`

## Description

TRect defines a rectangle in a discrete plane. It is described by the horizontal (left, right) or vertical (top, Bottom) positions (in pixels) of the edges, or, alternatively, by the coordinates of the top left (TopLeft) and bottom right (BottomRight) corners.

## See also

TPoint |  | Point in a plane
TSize |  | Area size

Documentation generated on: Feb 26 2014